#!/bin/sh
#
# Teppefall Application Launcher
# (c) Teppefall 2007-2009 / Jan Erik
# 
# You might need this:
# export JAVA_HOME /directory_where_java_is_installed
#

name=$*
lowercase=`echo $name | tr A-Z a-z`
java=`echo $JAVA_HOME/bin/java`

teppefall_chrome="-Dteppefall.chrome=true"
teppefall_system="-Djava.library.path=.:./system"
teppefall_restrictions="-Djava.security.manager -Djava.security.policy=system/TeppefallApp.policy"
teppefall_restrictions=""
teppefall_graphite="-Dswing.defaultlaf=org.jvnet.substance.skin.SubstanceRavenGraphiteLookAndFeel"
teppefall_obsoleteAA="-Dswing.aatext=true "
teppefall_mediaplayer=mediaplayer.jar
teppefall_fx=teppefallfx.jar
teppefall_layout=teppefalllayout.jar
teppefall_runtime=teppefall-runtime.jar
teppefall_stupid_defaults=-Dawt.useSystemAAFontSettings=on

if [ ! -d $ext/ ]; then
    echo "No extensions folder - ext/"
fi

case "$lowercase" in
    mediaplayer)
        $java $teppefall_stupid_defaults $teppefall_system $teppefall_chrome $teppefall_graphite -jar $teppefall_mediaplayer
    ;;
    layout)
        $java $teppefall_stupid_defaults $teppefall_restrictions $teppefall_chrome $teppefall_graphite -jar $teppefall_layout
    ;;
    fx)
        $java $teppefall_stupid_defaults $teppefall_restrictions $teppefall_chrome $teppefall_graphite -jar $teppefall_fx
    ;;
    runtime)
        $java $teppefall_stupid_defaults $teppefall_restrictions $teppefall_graphite -jar $teppefall_runtime
    ;;
    colorspace)
        $java $teppefall_stupid_defaults $teppefall_graphite -cp $teppefall_runtime com.teppefall.colorspace.Colorspace
    ;;
    fxserver)
        $java -Djava.security.policy=FXServer.policy -cp $teppefall_fx com.teppefall.ds.render2d.distributed.RenderServer ./$teppefall_fx
    ;;
    *)
        echo "usage: ./Teppefall MyApp"
    ;;
esac
